﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using BHComBus.Data;


namespace BHComBus {
    partial class MainForm
    {
        private string _dataStorageFolderPath;
        public string DataStorageFolderPath {
            get { return _dataStorageFolderPath; }
            set
            {
                //bool oldCanRunBioImpedance = CanRunBioimpedance;
                _dataStorageFolderPath = value;
                
                InvokePropertyChanged(new PropertyChangedEventArgs("DataStorageFolderPath"));

                //if (oldCanRunBioImpedance != CanRunBioimpedance)
                //    InvokePropertyChanged(new PropertyChangedEventArgs("CanRunBioimpedance"));
            }
        }


        private void setupDataStore()
        {
            DataFolderTextbox.DataBindings.Add("Text", this, "DataStorageFolderPath");
            this.DataBindings.Add("DataStorageFolderPath", DataFolderTextbox, "Text");
            RunBioimpedanceButton.DataBindings.Add("Enabled", this, "CanRunBioimpedance");

        }

        private void SetFolderButton_Click(object sender, EventArgs e)
        {
            dataStorageFolderDialog.ShowDialog();
            DataStorageFolderPath = dataStorageFolderDialog.SelectedPath;
            //DataFolderTextbox.Text = dataStorageFolderDialog.SelectedPath;
        }

    }
}
