﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO.Ports;
using BHComBus.Util;

namespace BHComBusTester
{
    class Program
    {
        static void Main(string[] args)
        {
            foreach(string portName in SerialPort.GetPortNames()) {
                Console.WriteLine("Port: " + portName);
                if (portName == "COM8")
                {
                    SerialPort arduino = new SerialPort("COM8");
                    
                    Console.WriteLine("Speed: " + arduino.BaudRate);
                }
            }

            foreach (COMPort p in COMUtils.GetComPorts())
            {
                Console.WriteLine("COM Port: " + p.PortName);
                Console.WriteLine("Name: " + p.FriendlyName);
                Console.WriteLine("HardwareID: " + p.HardwareID);
            }
            Console.ReadKey();
        }
    }
}
